[data-controller="homepage"] {
  //  Hero section

  .hero-content {
    @media screen and (max-width: 1000px) {
      flex-direction: column-reverse;
      padding-top: 72px !important;
    }

    padding-top: 10rem;
    padding-bottom: 5rem;

    h1 {
      @media screen and (max-width: 1200px) {
        font-size: 90px;
        width: 283px;
      }

      @media screen and (max-width: 1000px) {
        font-size: 65px;
        margin: 2rem 0 0 0;
      }

      font-family: "Franchisefree";
      font-size: 115px;
      width: 377px;
    }

    .img-content {
      @media screen and (max-width: 1000px) {
        width: 100%;
      }

      font-size: 75px;
      width: 65%;
    }

    button {
      @media screen and (max-width: 1000px) {
        width: 7rem;
        font-size: 12px;
      }

      font-family: "CovesLight";
      width: 10rem;
      text-align: center;
      background: white;
      color: #161616;
      font-size: 15px;
      font-weight: 500;
      padding: 0.5rem;
      border: 1px solid #161616;
      margin-top: 3rem;
      cursor: pointer;

      &:hover {
        background-color: #161616;
        color: white;
      }
    }
  }

  //   End hero section

  //   About us section

  .about-section {
    background-color: #f6f6f6;
    padding-top: 5rem;
    padding-bottom: 5rem;
  }

  .about-content {
    @media screen and (max-width: 880px) {
      flex-direction: column-reverse;
    }

    width: 95%;
    margin: 0 auto;

    img {
      @media screen and (max-width: 1082px) {}

      @media screen and (max-width: 880px) {
        width: 95%;
        min-width: 0;
      }

      filter: sepia(1);
      min-width: 589px;
    }
  }

  .block-text {
    @media screen and (max-width: 880px) {
      margin-left: 0;
      width: 95%;
    }

    margin-left: 3rem;

    h2 {
      @media screen and (max-width: 1082px) {
        font-size: 50px;
      }

      font-family: "Franchisefree";
      font-size: 60px;

      h3 {
        @media screen and (max-width: 1082px) {
          font-size: 30px;
          margin-top: 5%;
        }

        font-family: "Yanonebold";
        font-size: 40px;
      }
    }
  }

  .text-about-section {
    @media screen and (max-width: 1082px) {
      font-size: 20px;
    }

    font-family: "CovesLight";
    font-size: 30px;
  }

  .author-about-section {
    @media screen and (max-width: 1082px) {
      font-size: 15px;
    }

    font-family: "Yanonebold";
    font-size: 20px;

    span {
      border-top: 1px solid #8a733e;
      padding-top: 0.6rem;
    }
  }

  //   End about us section

  // Banner timer section

  .marquee {
    display: flex;
    flex-wrap: nowrap;
    min-width: 100%;
    white-space: nowrap;
    background-color: white;
    overflow: hidden;
  }

  .marquee-inner {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    font-size: 4rem;
    padding-right: 1rem;
    animation: slide-left 15s linear infinite;

    a {
      @media screen and (max-width: 880px) {
        font-size: 120px;
      }

      @media screen and (max-width: 500px) {
        font-size: 80px;
      }
      font-family: "Franchisefree";
      font-size: 160px;
      margin-left: 10rem;
    }

    &:hover a {
      -webkit-text-stroke: 2px black;
      color: transparent;
    }
  }

  @keyframes slide-left {
    0% {
      transform: translateX(0);
    }

    100% {
      transform: translateX(-100%);
    }
  }

  // End banner timer section

  //   Members section

  .members-section {
    padding-top: 0;
    padding-bottom: 5rem;
    background-color: #f6f6f6;

    h2 {
      font-size: 60px;
      font-family: "Franchisefree";
      padding-bottom: 5rem;
      padding-top: 5rem;
    }
  }

  .members-content {
    @media screen and (max-width: 880px) {
      grid-template-columns: 1fr;
      grid-gap: 1rem;
    }

    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    grid-gap: 5rem;
    width: 75%;
    margin: 0 auto;

    img {
      width: 100%;
      max-width: 500px;
    }

    .member-title {
      font-size: 20px;
      font-family: "CovesLight";
    }

    .member-text {
      font-size: 30px;
      font-family: "CovesBold";
    }

    .member-border {
      border-bottom: 1px solid #8a733e;
      border-top: none;
    }

    // End members section
  }

  // Shop section
  .shop-section {
    padding-top: 5rem;
    margin-bottom: 135px;

    .shop-content {
      p {
        @media screen and (max-width: 900px) {
          font-size: 150px;
          width: 600px;
        }

        @media screen and (max-width: 500px) {
          font-size: 100px;
          width: 300px;
        }

        font-size: 200px;
        font-family: "Franchisefree";
        width: 870px;
        margin: 0 auto;

        &:hover {
          -webkit-text-stroke: 3px black;
          color: transparent;
          display: inline-block;
          -webkit-mask: linear-gradient(-60deg, #000 30%, #0005, #000 70%) right/300% 100%;
          background-repeat: no-repeat;
          animation: shimmer 5s infinite;
        }
      }
    }

    @keyframes shimmer {
      100% {
        -webkit-mask-position: left;
      }
    }

    // End shop section
  }
}